import request from "@/utils/request";

// 查询订单列表
export const getList = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/user/investor/list",
    method: "get",
    params: query,
  });
};

// 查询订单详情
export const getInfo = (data: string | number) => {
  return request<RespondDataType>({
    url: "/user/investor/" + data,
    method: "get",
  });
};

// 审核
export const checkData = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/user/investor/checkInvestor",
    method: "get",
    params: data,
  });
};
